1. Auth
RockTest
  • Auth
    • Register
      POST
    • Login
      POST
  • Category
    • Create
      POST
    • Update
      PUT
    • Get
      GET
    • Delete
      DELETE
  • Products
    • Create
      POST
    • Get
      GET
    • Update
      PUT
    • Delete
      DELETE
  1. Auth

Register

Em desenvolvimento
POST
/auth/register

Requisição

Parâmetros Bodyapplication/jsonObrigatório

Examples

Respostas

🟢200Sucesso
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/auth/register' \
--header 'Content-Type: application/json' \
--data-raw '{
  "email": "user@email.com",
  "password": "123456",
  "name": "user"
}'
Response Response Example
{
    "success": true,
    "message": "User registered successfully",
    "data": {
        "user": {
            "name": "user",
            "email": "user@email.com",
            "updated_at": "2026-03-27T06:33:03.000000Z",
            "created_at": "2026-03-27T06:33:03.000000Z",
            "id": 5
        },
        "token": "2|CiYIrw5h8wJqkEMLsVCwtvZYstoXu4R8jpoge8Qc01bf8611"
    }
}
Modificado em 2026-03-27 06:18:18
Próxima página
Login
Built with